Vincular um projeto a uma etapa
curl --request POST \
--url https://api.olie.ai/api/management/funnel-steps/{funnel_step_id}/projects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "00000000-0000-0000-0000-000000000000",
"unlink_others": true,
"force_funnel_link": true
}
'import requests
url = "https://api.olie.ai/api/management/funnel-steps/{funnel_step_id}/projects"
payload = {
"project_id": "00000000-0000-0000-0000-000000000000",
"unlink_others": True,
"force_funnel_link": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '00000000-0000-0000-0000-000000000000',
unlink_others: true,
force_funnel_link: true
})
};
fetch('https://api.olie.ai/api/management/funnel-steps/{funnel_step_id}/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response": true,
"project": {
"id": "019b277f-e453-733d-a00e-6d26d444008b",
"parent_id": null,
"old_id": null,
"code": "P-83",
"name": "Laboratório Hawkins",
"description": "Companhia de energia",
"impact": 1,
"frame_id": "019aeaa3-2778-73ec-8f8d-59d06cc59dca",
"created_at": "2025-12-16T14:10:51.000000Z",
"updated_at": "2025-12-16T14:10:51.000000Z",
"customer_id": "019b277d-c615-723f-a1dd-f03940bce866",
"contact_id": 12597,
"share_token": null,
"share_settings": null,
"merged_id": null,
"status": 1,
"budget": 950000,
"is_template": false,
"created_by": "019aeaa3-2370-731c-9008-be759795f449",
"deleted_at": null,
"funnels": [],
"funnel_steps": [],
"tags": []
}
}{
"response": false,
"message": "unauthorized",
"error": "Unauthenticated."
}{
"response": false,
"service": "App\\Exceptions\\Services\\ProjectFunnel\\FunnelSteps\\LinkProjectToFunnelStepException",
"message": "project_already_linked_to_that_step",
"error": "The project already is linked with that funnel step",
"requirements": []
}funnel-steps
Vincular um projeto a uma etapa
Vincula um projeto a uma etapa do funil
POST
/
api
/
management
/
funnel-steps
/
{funnel_step_id}
/
projects
Vincular um projeto a uma etapa
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID da etapa do funil
Body
application/json
ID do projeto
Example:
"d75b593c-0609-42bf-a722-f99ba9a07daf"
Desvincular projeto das outras etapas do mesmo funil. Use como verdadeiro se estiver tentando mudar o projeto de etapa no funil.
Example:
true
Forçar vínculo do projeto ao funil caso ele não esteja vinculado
Example:
true
Was this page helpful?
⌘I